var repl = require('repl'),
    argv = require('optimist').argv,
    app = require('../app')().setup();

app.listen(function () {
	if (argv.p || argv.production || app.production) {
		app.production = true;

		app.router.set('client', function (req, res) {
			res.writeHead(404, {'Content-Type': 'text/plain'});
			res.end('404');
		});
	}

	var that = this;

	process.nextTick(function () {
		repl.start(that.options.host + ':' + that.options.port + '> ').
			context.app = that;
	});
});